
dataset = 'datasets/hidden/multilabel_merged_230420.csv'

model_name = "distilbert-base-uncased"

major_cat_dict = {'General': ['Gratitude/ good experience',
                              'Negative experience',
                              'Not assigned',
                              'Organisation & efficiency',
                              'Funding & use of financial resources',
                              'Collecting patients feedback'],
                  'Staff': ['Non-specific praise for staff',
                            'Non-specific dissatisfaction with staff',
                            'Staff manner & personal attributes',
                            'Number & deployment of staff',
                            'Staff responsiveness',
                            'Staff continuity',
                            'Competence & training'],
                  'Communication & involvement': ['Unspecified communication',
                                                  'Staff listening, understanding & involving patients',
                                                  'Information directly from staff during care',
                                                  'Information provision & guidance',
                                                  'Being kept informed, clarity & consistency of information',
                                                  'Service involvement with family/ carers',
                                                  'Patient contact with family/ carers'],
                  'Access to medical care & support': ['Contacting services',
                                                       'Appointment arrangements',
                                                       'Appointment method',
                                                       'Timeliness of care'],
                  'Medication': ['Supplying & understanding medication',
                                 'Pain management'],
                  'Patient journey & service coordination': ['Diagnosis & triage',
                                                             'Referals & continuity of care',
                                                             'Admission',
                                                             'Length of stay/ duration of care',
                                                             'Discharge',
                                                             'Care plans',
                                                             'Patient records',
                                                             'Impact of treatment/ care',
                                                             'Links with non-NHS organisations'],
                  'Food & diet': ['Food & drink provision & facilities'],
                  'Category TBC': ['Feeling safe',
                                   'Patient appearance & grooming',
                                   'Equality, Diversity & Inclusion'],
                  'Activities': ['Activities & access to fresh air',
                                 'Electronic entertainment'],
                  'Environment & equipment': ['Cleanliness, tidiness & infection control',
                                              'Sensory experience',
                                              'Environment & Facilities',
                                              'Safety & security',
                                              'Provision of medical equipment'],
                  'Mental Health specifics': ['Mental Health Act'],
                  'Service location, travel & transport': ['Service location',
                                                           'Transport to/ from services',
                                                           'Parking']
                      }

major_cats = list(major_cat_dict.keys())

#v5 20230420
merged_minor_cats = ['Gratitude/ good experience', 'Not assigned',
       'Organisation & efficiency', 'Funding & use of financial resources',
       'Non-specific praise for staff', 'Staff manner & personal attributes',
       'Number & deployment of staff', 'Staff responsiveness',
       'Staff continuity', 'Competence & training',
       'Unspecified communication',
       'Staff listening, understanding & involving patients',
       'Information directly from staff during care',
       'Information provision & guidance',
       'Being kept informed, clarity & consistency of information',
       'Contacting services', 'Appointment arrangements', 'Appointment method',
       'Timeliness of care', 'Pain management', 'Diagnosis & triage',
       'Care plans', 'Cleanliness, tidiness & infection control',
       'Provision of medical equipment', 'Service location',
       'Transport to/ from services', 'Parking', 'Electronic entertainment',
       'Patient appearance & grooming', 'Mental Health Act',
       'Equality, Diversity & Inclusion', 'Collecting patients feedback',
       'Labelling not possible',
       'Environment & Facilities', 'Supplying & understanding medication',
       'Activities & access to fresh air',
       'Food & drink provision & facilities', 'Sensory experience',
       'Impact of treatment/ care', 'Safety', 'Family/ carers',
       'Negative experience/ dissatisfaction', 'Patient journey']

#v5 20230419
minor_cats = ['Gratitude/ good experience',
 'Negative experience',
 'Not assigned',
 'Organisation & efficiency',
 'Funding & use of financial resources',
 'Non-specific praise for staff',
 'Non-specific dissatisfaction with staff',
 'Staff manner & personal attributes',
 'Number & deployment of staff',
 'Staff responsiveness',
 'Staff continuity',
 'Competence & training',
 'Unspecified communication',
 'Staff listening, understanding & involving patients',
 'Information directly from staff during care',
 'Information provision & guidance',
 'Being kept informed, clarity & consistency of information',
 'Service involvement with family/ carers',
 'Patient contact with family/ carers',
 'Contacting services',
 'Appointment arrangements',
 'Appointment method',
 'Timeliness of care',
 'Pain management',
 'Diagnosis & triage',
 'Referals & continuity of care',
 'Length of stay/ duration of care',
 'Discharge',
 'Care plans',
 'Patient records',
 'Links with non-NHS organisations',
 'Cleanliness, tidiness & infection control',
 'Safety & security',
 'Provision of medical equipment',
 'Service location',
 'Transport to/ from services',
 'Parking',
 'Electronic entertainment',
 'Feeling safe',
 'Patient appearance & grooming',
 'Mental Health Act',
 'Equality, Diversity & Inclusion',
 'Admission',
 'Collecting patients feedback',
 'Labelling not possible',
 'Environment & Facilities',
 'Supplying & understanding medication',
 'Activities & access to fresh air',
 'Food & drink provision & facilities',
 'Sensory experience',
 'Impact of treatment/ care']
